      subroutine delay (isec)
c
c  -- The purpose of this subroutine is to provide a means of
c     delaying execution of the calling program for "isec"
c     seconds.  The method used is to make an initial call
c     to ITIME, convert the hours, minutes, seconds returned
c     to total seconds, then to make repeated calls to that same
c     routine and, after a similar conversion, to difference the
c     two total seconds.  Stop calling ITIME and return to the
c     calling program when the absolute value of the difference
c     exceeds the requested delay time, isec.
c
C  -- The VAX ,PC, and Unix versions of this routine are different. This
C     is the Unix version.
C
      integer*2  hr, mn, sc, isec, tsec1, tsec2, tdiff
      integer t(3)
c
      call itime(t)

      hr = t(1)
      mn = t(2)
      sc = t(3)

      tsec1 = hr*3600 + mn*60 + sc
c

   10 call itime(t)

      hr = t(1)
      mn = t(2)
      sc = t(3)

      tsec2 = hr*3600 + mn*60 + sc
      tdiff = abs(tsec1-tsec2)
      isec = abs(isec)
      if (tdiff.lt.isec) go to 10
c
      return
      end
