      subroutine editlvl1 (imod)
c
c      include 'prodefa2.inc'
      include 'PRODEFA2.INC'
      character termchrg*3,gamma*21,printit*12,fixedcon*15
      character*9 phvary,pevary
      integer imod,jmod,ico3
      real*4 ph,pe,eh
      include 'CONST.INC'
c
      data fixedcon / 'Infinite Supply'/
 10   call clrscr (lu06)
      write (lu06,9000) iprb
      write (lu03,9000) iprb
      write (lu06,9010) 1, desc
      write (lu03,9010) 1, desc
      write (lu06,9020) 2, carry
      write (lu03,9020) 2, carry
      if (isopt.eq.0) then
         write (lu06,9031) 3,temp,4,flag,5
         write (lu03,9031) 3,temp,4,flag,5
      else
         write (lu06,9030) 3,temp,4,flag,5,fions
         write (lu03,9030) 3,temp,4,flag,5,fions
      endif
c
      ico3 = 0
      do 100 i = 1, nt(1)
         if (id(1,i).eq.140) then
            ico3 = i
         endif
  100 continue
      if (icoral.eq.0.and.ico3.ge.1) then
         write (lu06,9040) 6
         write (lu03,9040) 6
      elseif (icoral.eq.1.and.ico3.ge.1) then
         write (lu06,9050) 6
         write (lu03,9050) 6
      elseif (icoral.eq.0.and.ico3.eq.0) then
         write (lu06,9060) 6
         write (lu03,9060) 6
      endif
      if (ichrg.eq.0) then
         termchrg = 'YES'
      else
         termchrg = 'NO '
      endif
      write (lu06,9070) 7,termchrg
      write (lu03,9070) 7,termchrg
      if (iprint.eq.0) then
         write (lu06,9080) 8
         write (lu03,9080) 8
      else
         write (lu06,9090) 8,iprint
         write (lu03,9090) 8,iprint
      endif
      if (niter.eq.0) then
         itmax = 40
      elseif (niter.eq.1) then
         itmax = 10
      elseif (niter.eq.2) then
         itmax = 100
      elseif (niter.eq.3) then
         itmax = 200
      elseif (niter.eq.4) then
         itmax = 500
      endif
      write (lu06,9100)  9,itmax
      write (lu03,9100)  9,itmax
      if (kkdav.eq.1) then
         gamma = 'Davies equation      '
      else
         gamma = 'Debye-Huckel equation'
      endif
      write (lu06,9110) 10,gamma
      write (lu03,9110) 10,gamma
      if (kkthr.eq.0) then
         printit = 'FULL OUTPUT '
      else if (kkthr.eq.1) then
         printit = 'INTERMEDIATE'
      else if (kkthr.eq.2) then
         printit = 'ABBREVIATED '
      endif
      write (lu06,9120) 11,printit
      write (lu03,9120) 11,printit
      ph = 0.0
      pe = 0.0
      eh = 0.0
      iphfix = 0
      ipefix = 0
      phvary = 'UNDEFINED'
      pevary = 'UNDEFINED'
      do 110 i = 1, nt(3)
         if (id(3,i).eq.330) then
            ph = teq(3,i)
            phvary = 'FIXED    '
            iphfix = i
         endif
  110 continue
      if (iphfix.eq.0) then
         do 120 i = 1, nt(1)
            if (id(1,i).eq.330) then
               ph = -1*thr(1,i)
               phvary = 'VARIABLE '
               go to 130
            endif
  120    continue
      endif
  130 if (phvary.eq.'VARIABLE ') then
        write (lu06,9131) 12
        write (lu03,9131) 12
      else if (phvary.eq.'FIXED    ') then
        write (lu06,9130) 12,ph
        write (lu03,9130) 12,ph
      else if (phvary.eq.'UNDEFINED') then
        write (lu06,9132) 12
        write (lu03,9132) 12
      end if 
      pe = 0.0
      do 140 i = 1, nt(3)
         if (id(3,i).eq.001) then
            pe = teq(3,i)
            eh = pe*(temp+273.16)*1000.0/5040.24
            pevary = 'FIXED    '
            ipefix = i
         endif
  140 continue
      if (ipefix.eq.0) then
         do 150 i = 1, nt(1)
            if (id(1,i).eq.001) then
               pe = -1*thr(1,i)
               eh = pe*(temp+273.16)*1000.0/5040.24
               pevary = 'VARIABLE '
               go to 160
            endif
  150    continue
      endif
      if (pevary.eq.'UNDEFINED') then
         write (lu06,9150) 13
         write (lu03,9150) 13
         go to 170
      endif
  160 if (pevary.eq.'VARIABLE ') then
        write (lu06,9141) 13
        write (lu03,9141) 13
      else
        write (lu06,9140) 13,eh,pe
        write (lu03,9140) 13,eh,pe
      end if        
  170 continue
      if (iabq.eq.1) then
         write (lu06,9160) 14,soilkg
         write (lu03,9160) 14,soilkg
      endif
      write (lu06,9005) 99
      write (lu03,9005) 99
      write (lu06,9460)
      write (lu03,9460)
  180 write (lu06,9280) cont1
      read (lu05,9500,err=180) imod
      if (imod.lt.0.or.imod.gt.14.and.imod.ne.99) go to 180
      write (lu03,9280) cont2,imod
c
c  -- Call routine to delete component with address ico3
      if (imod.eq.6.and.ico3.gt.0) then
          call dltcomp (1,ico3)
      endif
c
      call clrscr (lu06)
      if ((imod.ge.1.and.imod.le.14).or.imod.eq.99
     *.or.(imod.eq.0.and.iabq.eq.0))
     *    go to 280
      write (lu06,9000) iprb
      write (lu03,9000) iprb
      write (lu06,9170) iprb
      write (lu03,9170) iprb
      if (iabq.eq.1) then
         write (lu06,9180) soilkg
         write (lu03,9180) soilkg
      elseif (iabq.eq.2) then
         write (lu06,9190)
         write (lu03,9190)
      elseif (iabq.eq.3) then
         write (lu06,9200)
         write (lu03,9200)
      elseif (iabq.eq.4) then
         write (lu06,9210)
         write (lu03,9210)
      elseif (iabq.eq.5) then
         write (lu06,9220)
         write (lu03,9220)
      elseif (iabq.eq.6) then
         write (lu06,9230)
         write (lu03,9230)
      elseif (iabq.eq.7) then
         write (lu06,9240)
         write (lu03,9240)
      endif
      write (lu06,9250) numads
      write (lu03,9250) numads
      write (lu06,9260)
      write (lu03,9260)
      write (lu06,9270)
      write (lu03,9270)
      read (5,*)
      jsurf = 1
  190 call clrscr (lu06)
c
c  -- Report that the screen that follows pertains to surface number jsu
c
      write (lu06,9000) iprb
      write (lu03,9000) iprb
      write (lu06,9290) jsurf
      write (lu03,9290) jsurf
c
c  -- Count and display the number of site types for surface jsurf and
c     the current site density of each type.
c
c  -- Count the site types by looking for adsorption component id
c     numbers among the id numbers currently defined.  Subroutine
c     Sitcount also returns the site id address in id(1,n) and
c     the site density in teq(1,n) where n=kaddr(jsurf,1) for site 811,
c     n=kaddr(jsurf,2) for site 812, n=kaddr(jsurf,3) for site 813, etc.
c
      call sitcount (jsurf)
c
c  -- Begin display of adsorption information pertaining to surface 
c     jsurf.
c
c  -- Display site densities for each site type.
c
      write (lu06,9300) 1
      write (lu03,9300) 1
      if (nsites(jsurf).eq.1) then
         j = 1
         if (kaddr(jsurf,2).ne.0) j = 2
         if (iabq.eq.2.or.iabq.ge.4) then
            write (lu06,9310) j,idad(jsurf,j),sitecon(jsurf,j)
            write (lu03,9310) j,idad(jsurf,j),sitecon(jsurf,j)
         else
            write (lu06,9320) j,idad(jsurf,j),fixedcon
            write (lu03,9320) j,idad(jsurf,j),fixedcon
         endif
      elseif (nsites(jsurf).eq.2) then
         do 200 j = 1, nsites(jsurf)
            if (iabq.eq.2.or.iabq.ge.4) then
               write (lu06,9310) j,idad(jsurf,j),sitecon(jsurf,j)
               write (lu03,9310) j,idad(jsurf,j),sitecon(jsurf,j)
            else
               write (lu06,9320) j,idad(jsurf,j),fixedcon
               write (lu03,9320) j,idad(jsurf,j),fixedcon
            endif
  200    continue
      endif
c
c  -- For surface complexation models, display the solid concentration
c     and specific surface area.
c
      if (iabq.ge.5) then
         write (lu06,9330) 2,solcon(jsurf)
         write (lu03,9330) 2,solcon(jsurf)
         write (lu06,9340) 3,ssa(jsurf)
         write (lu03,9340) 3,ssa(jsurf)
c
c  -- For constant capacitance and triple layer models, display
c     appropriate capacitance terms as well.
c
         if (iabq.eq.5.or.iabq.eq.6) then
            write (lu06,9350) 4,cap1(jsurf)
            write (lu03,9350) 4,cap1(jsurf)
         endif
         if (iabq.eq.6) then
            write (lu06,9360) 5,cap2(jsurf)
            write (lu03,9360) 5,cap2(jsurf)
         endif
      endif
c
      write (lu06,9460)
      write (lu03,9460)
c
c  -- Ask the user to indicate which item needs modification (if any).
c
  210 write (lu06,9280) cont1
      read (lu05,9500,err=210) jmod
      if (jmod.lt.0.or.jmod.gt.5) go to 210
      if (iabq.lt.5) then
         if (jmod.gt.1) go to 210
      endif
      if (iabq.ne.6.and.jmod.eq.5) go to 210
      write (lu03,9280) cont2,jmod
c
c  -- The section below performs the required change rather than
c     returning to PRODEFA2 with "jmod" as is done above.
c
c  -- If the user enters zero indicating no more changes to the displaye
c     screen, increment jsurf for the next surface and cycle back.
c
      if (jmod.eq.0) then
         if (jsurf.lt.numads) then
            jsurf = jsurf+1
            go to 190
c
c  -- If there are no more surfaces, return to calling program.
c
         else
            go to 280
         endif
c
c  -- Change site density
c
      elseif (jmod.eq.1) then
         if (iabq.eq.2.or.iabq.ge.5) then
  220       write (lu06,9370) cont1
            read (lu05,*,err=230) jsite
            if (jsite.ne.1.and.jsite.ne.2) then
               write (lu06,9410) jsite
               go to 220
            endif
            write (lu03,9370) cont2,jsite
            idc = idad(jsurf,jsite)
            k = kaddr(jsurf,jsite)
c
c  -- If the address is zero then idc is not a currently defined
c     component so we can't change its site density.  Report this to
c     user and return to main display screen for this surface.
c
            if (k.eq.0) then
               write (lu06,9390) sitename(jsite),idc
               write (lu03,9390) sitename(jsite),idc
               write (lu06,9270)
               write (lu03,9270)
               read (lu05,*)
               go to 190
            endif
c
c
c
  230       write (lu06,9400) cont1
            read (lu05,*,err=230) teq(1,k)
            write (lu03,9400) cont2,teq(1,k)
            go to 190
         else
            write (lu06,9380)
            write (lu03,9380)
            write (lu06,9270)
            write (lu03,9270)
            read (lu05,*)
            go to 190
         endif
c
c  -- Change concentration of adsorbing surface
c
      elseif (jmod.eq.2) then
  240    write (lu06,9420) cont1
         read (lu05,*,err=240) solcon(jsurf)
         if (abs(solcon(jsurf)).lt.R0MIN) go to 240
         write (lu03,9420) cont2,solcon(jsurf)
         go to 190
c
c  -- Change specific surface area
c
      elseif (jmod.eq.3) then
  250    write (lu06,9430) cont1
         read (lu05,*,err=250) ssa(jsurf)
         if (abs(ssa(jsurf)).lt.R0MIN) go to 250
         write (lu03,9430) cont2,ssa(jsurf)
         go to 190
c
c  -- Change inner layer capacitance
c
      elseif (jmod.eq.4) then
  260    write (lu06,9440) cont1
         read (lu05,*,err=260) cap1(jsurf)
         write (lu03,9440) cont2,cap1(jsurf)
         go to 190
c
c  -- Change outer layer capacitance
c
      elseif (jmod.eq.5) then
  270    write (lu06,9450) cont1
         read (lu05,*,err=270) cap2(jsurf)
         write (lu06,9450) cont2,cap2(jsurf)
         go to 190
c
      endif
c
  280 return
c
 9000 format (' _____________________________________________________',
     *   '_________________________',/,
     *   '    ____________________________ EDIT LEVEL I ____',
     *   '____________PROB # ',i2,'___   ')
 9005 format (' ',i2,' Choose a different file to modify OR return to',
     *       ' output filename prompt.')
 9010 format (/,' ',i2,' Title 1: ',a66)
 9020 format (' ',i2,' Title 2: ',a66)
 9030 format (' ',i2,' Temperature (Celsius): ',f6.2,/' ',i2,
     *   ' Units of concentration: ',a5,/' ',i2,' Ionic strength: ',
     *   ' FIXED at ',f5.3,' molal')
 9031 format (' ',i2,' Temperature (Celsius): ',f6.2,/' ',i2,
     *   ' Units of concentration: ',a5,/' ',i2,' Ionic strength: ',
     *   ' TO BE COMPUTED')
 9040 format (' ',i2,' Inorganic carbon specified as total carbonate',
     *   ' concentration.')
 9050 format (' ',i2,' Inorganic carbon specified as carbonate',
     *   ' alkalinity.')
 9060 format (' ',i2,' Inorganic carbon is not specified.')
 9070 format (' ',i2,' Terminate if charge imbalance exceeds 30% ? ',a3)
 9080 format (' ',i2,' Oversaturated solids ARE NOT ALLOWED to',
     *   ' precipitate. EXCEPTIONS: Solids',
     *   /,'    listed in this file as TYPE -III (Infinite), -IV',
     *     ' (Finite) or -V (Possible).')
 9090 format (' ',i2,' Oversaturated solids ARE ALLOWED to precipitate.'
     *  ,' EXCEPTIONS: Those listed',
     * /,'    in this file as TYPE VI (Excluded). The print option for',
     *   ' solids is: ',i1)
 9100 format (' ',i2,' The maximum number of iterations is: ',i3)
 9110 format (' ',i2,' The method used to compute activity',
     *   ' coefficients is: ',a21)
 9120 format (' ',i2,' Level of output: ',a12)
 9131 format (' ',i2,' The pH is: TO BE COMPUTED')
 9130 format (' ',i2,' The pH is: FIXED at ',f5.2)
 9132 format (' ',i2,' The pH is: UNDEFINED')
 9141 format (' ',i2,' The electron activity is: TO BE COMPUTED')
 9140 format (' ',i2,' The electron activity is: FIXED at Eh = ',
     *        f6.1,' mv or pe = ',f5.1)
 9150 format (' ',i2,' The pe and Eh are: UNDEFINED')
 9160 format (' ',i2,' Mass of soil per liter of solution for',
     *               ' ACTIVITY Kd model: ',1pe12.5)
 9165 format (' You may choose to model adsorption phenomena in',
     *        ' Edit Level 2')
 9170 format ('       ______________________ ADSORPTION PARAMETERS __',
     *   '_________PROB # ',i2,'_',/)
 9180 format ('  Activity Kd adsorption model; kilogram soil per liter',
     *        ' solution = ',1pe12.5)
 9190 format ('  Activity Langmuir adsorption model')
 9200 format ('  Activity Freundlich adsorption model')
 9210 format ('  Simple Ion Exchange adsorption model')
 9220 format ('  Constant Capacitance surface complexation model')
 9230 format ('  Triple Layer surface complexation model')
 9240 format ('  Diffuse Layer surface complexation model')
 9250 format (/,'  There are ',i2,' adsorbing surfaces currently',
     *   ' defined.')
 9260 format (/,'  The current adsorption model can be canceled',
     *   ' entirely in EDIT LEVEL II.',
     * /,'  A different model may then be chosen (but be sure to edit',
     *   ' any current reactions',
     * /,'  as appropriate).'
     * /,'  Certain parameters associated with each surface of the',
     8   ' current model', 
     * /,'  can be changed.  These are presented on the',
     *   ' screens that follow',/,'  beginning with surface number one.'
     *   //,'  Additionally, the number of adsorbing surfaces, the',
     *   ' number of site types',/,
     *   '  on each surface, and reactions at those sites can',
     *   ' be changed in EDIT LEVEL II')
 9270 format (/,' Press ENTER to continue')
 9280 format ('  To change any of the above entries or to explore',
     *   ' other possible values,',/,
     *   '  enter the number to the left of the entry.  Press',
     *   ' ENTER to accept all settings.',/,a1,'  ENTER CHOICE  > ',
     *     1x,i2)
 9290 format ('      ____________________ Adsorbing Surface Number ',i1,
     *   ' ____________________',/)
 9300 format (' ',i2,' Adsorption site densities:',//,1x,10x,
     *   'Site Type Number',3x,'Component Id number',3x,
     *   'Site Density (mol/l)')
 9310 format (19x,i1,18x,i3,14x,e10.3)
 9320 format (19x,i1,18x,i3,11x,a15)
 9330 format (/,' ',i2,' Concentration of the adsorbing surface',
     *   ' (g/l): ',f7.3)
 9340 format (' ',i2,' Specific surface area pertaining to this',
     *   ' surface (sq. meters/g): ',f7.2)
 9350 format (' ',i2,' Inner layer capacitance (farads/sq. meters): ',
     *   f5.3)
 9360 format (' ',i2,' Outer layer capacitance (farads/sq. meters): ',
     *   f5.3)
 9370 format (/,'  Enter the site type number (1 or 2) corresponding',
     *   ' to the site density you want',/,a1,'  to change > ',1x,i3)
 9380 format (/,'  The supply of sites is limitless by definition',
     *   ' for this adsorption model.')
 9390 format (/,'  ',a11,' coresponding to component id ',i3,' has',
     *   ' not been defined.',/,
     *   '  New sites can be defined in EDIT LEVEL II')
 9400 format (/,a1,'  Enter the site density in moles/l > ',1x,1pe10.3)
 9410 format (/,'  There is no site with the site type number',i1,
     *   ' defined for this surface.')
 9420 format (/,a1,'  Enter the concentration of the adsorbing',
     *   ' surface in g/l > ',1x,f7.3)
 9430 format (/,a1,'  Enter the specific surface area of the surface',
     *   ' in sq. meters/g > ',1x,f7.2)
 9440 format (/,a1,'  Enter the inner layer capacitance in farads/',
     *   ' sq. meter > ',1x,f5.3)
 9450 format (/,a1,'  Enter the outer layer capacitance in farads/',
     *   ' sq. meter > ',1x,f5.3)
 9460 format (' ___________________________________________________',
     *   '____________________________')
 9500 format (i2)
c
      end
