       program minteqa2
c
c     Version 3.01   Release date: 09/30/91
c --------------------------------------------------------------------
c  IMPORTANT -  To modify for VAX compiler, use editor or word
c               processor to search for the characters "CHANGE ME"
c               (without the quotes).  These characters have been
c               inserted to delineate the FORTRAN code that is
c               different in the VAX and PC versions.
c --------------------------------------------------------------------
c
c
      include 'MINTEQA2.INC'
      character filename*12, xerr*1, msg*1
      logical preexist
      include 'CONST.INC'
c
c  -- Set counter for accumulating the total number of errors
c     encountered.
      ierrtotl = 0
c
      call minval
c  -- Assign Logical unit numbers
      lun01 = 01
      lun02 = 02
      lun03 = 03
      lun04 = 04
      lun05 = 05
      lun07 = 07
      lun10 = 10
      lun11 = 11
      lun14 = 14
      ierrin = 13
c
c     -------------------------------------------------------------
c     CHANGE ME
c     This machine dependent section results from the fact that the
c     only logical unit in Ryan-McFarland FORTRAN that accommodates
c     FORTRAN carriage control for printing is unit 6.  Therefore,
c     on the PC unit 6 is used for the output file 'minout.out' and
c     screen output is re-assigned to unit 8.  However, VAX FORTRAN
c     accommodates FORTRAN carriage control on all units EXCEPT unit 6.
c     Therefore 'minout.out' is assigned to unit 8 and screen output
c     defaults to unit 6.
c
c     ATENTION!   ATTENTION!   ATTENTION!   ATTENTION!   ATTENTION!
c  -- FOR COMPILING ON THE VAX, COMMENT OUT THE NEXT THREE EXECUTABLE
c         LINES AND REMOVE COMMENT DELIMITERS FROM THE NEXT TWO LINES.
c  -- FOR COMPILING ON THE PC, REMOVE COMMENT DELIMITERS FROM THE NEXT
c         THREE EXECUTABLE LINES AND COMMENT OUT THE NEXT TWO LINES.
C      lunout =  06
C      scrnout = 08
C      open (unit=scrnout,file='con')
      lunout =  08
      scrnout = 06
c     ---------------------------------------------------------------
c
c  -- OPEN ALL DATABASE FILES.
c     Before each OPEN, call ENQUIRE to check whether the file
c     exists.  Set flag indicating error (xerr), whether the file
c     is supposed to pre-exist (preexist), and whether or not
c     ENQUIRE is to print an error message concerning
c     disposition (msg).
c
      xerr = 'N'
      msg = 'Y'
c
c  -- Open the main thermodynamic database file.
      filename = 'THERMO.UNF'
      preexist =  .TRUE.
      call enquire (filename,preexist,xerr,scrnout,msg)
      if (xerr.eq.'Y') go to 999
      open (unit=lun02,file='THERMO.UNF',status='OLD',
     *  form='unformatted')
c
c  -- Open the component database file.
      filename = 'COMP.DBS'
      preexist =  .TRUE.
      call enquire (filename,preexist,xerr,scrnout,msg)
      if (xerr.eq.'Y') go to 999
      open (unit=lun03,file='COMP.DBS',status='OLD')
c
c  -- Open the solids database file.
      filename = 'TYPE6.UNF'
      preexist =  .TRUE.
      call enquire (filename,preexist,xerr,scrnout,msg)
      if (xerr.eq.'Y') go to 999
      open (unit=lun04,file='TYPE6.UNF',status='OLD',
     *  form='unformatted')
c
c  -- Open the alkalinity factor for non-carbonates file.
      filename = 'ALK.DBS'
      preexist =  .TRUE.
      call enquire (filename,preexist,xerr,scrnout,msg)
      if (xerr.eq.'Y') go to 999
      open (unit=lun10,file='ALK.DBS',status='OLD')
c
c  -- Open the database of metal/composite organic matter file.
      filename = 'COMPLIG.DBS'
      preexist =  .TRUE.
      call enquire (filename,preexist,xerr,scrnout,msg)
      if (xerr.eq.'Y') go to 999
      open (unit=lun14,file='COMPLIG.DBS',status='old')
c
c  -- Open the temperature dependent log K file.
      filename = 'ANALYT.DBS'
      preexist =  .TRUE.
      call enquire (filename,preexist,xerr,scrnout,msg)
      if (xerr.eq.'Y') go to 999
      open (unit=lun07,file='ANALYT.DBS',status='OLD')
c
c  -- Open the error message file.
      filename = 'ERROR.DBS'
      preexist =  .TRUE.
      call enquire (filename,preexist,xerr,scrnout,msg)
      if (xerr.eq.'Y') go to 999
      open (unit=ierrin,file='ERROR.DBS',status='old')
c
c
c  -- Display opening screen and obtain I/O filenames.
CDWD
      call display (1)
CDWD
      if (xstop.eq.'Y') go to 999
c
c
c  -- CALL MAIN DRIVER
      call maind
c
 999  stop
      end
